﻿/*-------------------------------------------------*/
body {
    min-width: 320px;
    position: relative;
    font-family: 'Raleway', sans-serif;
    font-size: 16px;
    color: #666;
    background-color: white;
}

a:hover, a:active, a:focus {
    text-decoration: none;
    outline: none;
}
/* 去除webkit中input的type="number"时出现的上下图标 */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    /*-webkit-appearance: none;*/
}

input[type="number"], input[type="number"]:focus {
    -moz-appearance: textfield;
    height: 21px;
    border: none;
    border-bottom: 1px solid;
    /*width: 36px;*/
    outline: none;
    padding: 0 3px;
    text-align: center;
}
/*去除chrome下input填充默认值后的黄色背景色*/
input:-webkit-autofill {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: red !important;
}


.rm-theme-backgroundcolor {
    background-color: rgba(32, 152, 245, 1);
    color: white;
}

.rm-theme-color {
    color: rgba(32, 152, 245, 1);
}

.rm-text-color {
    color: #666;
}
/*-------带响应式导航栏的头部样式------------------------------------------*/
.rm-header {
    height: 60px;
}

.rm-header-container {
    width: 100%;
    min-width: 320px;
    height: 60px;
    position: fixed;
    top: 0;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 3px 3px -3px;
    z-index: 999;
}

.rm-hover {
    color: white !important;
    text-decoration: none !important;
    border-radius: 3px;
    background-color: rgba(32, 152, 245, 1);
}

.rm-nav {
    float: right;
    padding-left: 0;
    margin: 0;
    background-color: white;
    list-style: none;
}

    .rm-nav > li {
        float: left;
        height: 60px;
    }

        .rm-nav > li > a {
            color: #666;
            line-height: 60px;
            padding: 7px 15px;
            margin: 0 5px;
            font-size: 15px;
        }

.rm-menu {
    background-color: white;
    position: absolute;
    padding: 0 10px;
    display: none;
    box-shadow: 0 6px 12px rgba(0,0,0,.175);
    list-style: none;
}

    .rm-menu > li {
        margin: 5px 0;
    }

        .rm-menu > li > a {
            text-decoration: none;
            font-size: 15px;
            color: #666;
            padding: 5px 10px;
            display: inline-block;
            width: 100%;
        }

@media (max-width: 767px) {
    .rm-nav {
        padding-bottom: 10px;
        width: 100%;
        box-shadow: 0 3px 3px -3px rgba(0, 0, 0, 0.3);
    }

        .rm-nav > li {
            float: none;
            height: 40px;
            padding: 0 20px;
            margin: 10px 0;
        }

            .rm-nav > li > a {
                display: inline-block;
                width: 100%;
                color: #666;
                line-height: 40px;
                padding: 0;
                padding-left: 10px;
                margin: 0;
                font-size: 15px;
            }

    .rm-menu-btn {
        position: absolute;
        height: 60px;
        background-color: transparent;
        right: 0;
        color: lightgray;
    }

        .rm-menu-btn:active, .rm-menu-btn:focus, .rm-menu-btn:hover {
            outline: none !important;
            color: #666 !important;
        }
}
/*-------常规文章样式------------------------------------------*/
.rm-article {
    min-height: 500px;
}

    .rm-article .rm-publishtime {
        display: inline-block;
        text-align: left;
        font-size: 14px;
        margin: 10px 20px 10px 0;
        color: #9eacb6;
    }

    .rm-article h1 {
        margin: 30px 0 30px 0;
        font-weight: bold;
        text-align: center;
        color: #028FCC;
    }

    .rm-article .large {
        font-size: 16px;
        line-height: 28px;
        margin-bottom: 14px;
        text-indent: 2em;
        letter-spacing: 2px;
    }

    .rm-article p {
        text-align: left;
        line-height: 2.2em;
        text-indent: 2em;
        letter-spacing: 1px;
    }

    .rm-article h2 {
        font-size: 20px;
        color: #2098F5;
        line-height: 30px;
        margin-top: 5px
    }

    .rm-article h3 {
        font-size: 16px;
        color: #607D8B;
        line-height: 30px;
        margin-top: 5px;
    }

    .rm-article img {
        display: block;
        margin: 10px auto;
        max-width: 100%;
    }

.rm-card {
    background-color: transparent;
    height: 200px;
    overflow: hidden;
    margin-bottom: 10px;
}

    .rm-card p[class="rm-title"] {
        height: 50px;
        line-height: 50px;
        padding: 0 10px;
        text-align: left;
        border-bottom: 1px solid #eee;
        border-left: 10px solid rgba(32, 152, 245, 1);
        margin: 0 -15px;
        font-size: 25px;
        font-weight: 400;
        color: rgba(32, 152, 245, 1);
        background-color: white;
        overflow: hidden;
    }

    /*.rm-card p[class="rm-description"] {
        line-height: 24px;
        padding: 10px;
        padding-bottom: 0;*/
    /* border: 1px solid black; */
    /*margin: 0 -15px;
        text-align: left;
        text-indent: 32px;
    }*/

    .rm-card > .img {
        line-height: 200px;
        height: 200px;
        border: 1px solid #eee;
        text-align: center;
    }

    .rm-card img {
        max-width: 100%;
    }

@media (max-width:768px) {
    .rm-card {
        height: auto !important;
    }

        .rm-card > .img {
            height: auto !important;
            line-height: normal !important;
            margin: 10px 0;
            border: none;
        }

        .rm-card img {
            border: 1px solid #888;
            border-radius: 10px;
            max-height: 200px;
        }
}
/*-------------------------------------------------*/
